Subject: Benchmark/"Taxonomy"

From: Shashi K. Gadia <[email-masked]>
Date: Thu, 13 May 93 20:04:09 CDT

I see that a lot of effort has gone 
in to "taxonomy".  Unfortunately 
there is very little here that I agree 
with. 

A. It is very narrowly focused, and 
   disregards the notion of orthogonality.  
   If there are 4320 different categories, 
   I feel there is something fundamentally 
   wrong with the approach. 

B. I find the option "imposed" in Figure 2 
   quite questionable.  It is to be taken 
   with a grain of salt.  This amounts to 
   cooking new information rather than 
   retriving information existing in the 
   database.  I can not see how we can elevate 
   it to the same level as other options. 

C. The option "none" under the valid-time 
   component raises an important question. 
   This allows timestamps to be erased from 
   a relation.  So does it mean we have two 
   types of relations: temporal relations 
   and "non-temporal" relations?  If these 
   non-temporal relations can be computed, 
   can they be mixed with temporal relations 
   to answer additional queries?  If no, 
   then the non-temporal relations are only 
   terminal, and I have no problem with this.
   But if they are not terminal, then you 
   could retrieve misleading information.  
   Its better to be conservative and simply 
   not allow nonterminal-nontemporal 
   relations.  Otherwise every participant 
   should take an clear stand over this 
   issue.

D. Although the remarks in this subsection 
   concern our approach, but it also relates 
   to most other approaches, perhaps in different 
   measures.

   If I disregard the following options: 

      imposed          from Figure 2, 
      ordering-based   from Figure 4,
      interval         from Figure 4, 

   then in our TempSQL there is only 1 and 
   NOT 4320 different categories, all handled 
   in a uniform manner.  This leaves me wondering 
   that if I want to propose a query, why should 
   I have to bother about associating one of the 
   4320 categories! 

Summary.
--------
I appreciate a need for a structure.  However, 
I do not know what that structure is, but 
if there is one, I strongly feel that it will 
come from English (a natural language).  
The bottom line is that if someone 
suggests a new query form(s), we are obliged 
to include it in the benchmark, irrespective of 
whether we have understood the underlying 
classification.